<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas VueRouter</title>
</head>
<body>
    <div id="app">
  
        <h1>Tugas Vue Router</h1>
    
        <router-link to="/">Halaman 1</router-link>
        <router-link to="/halaman2">Halaman 2</router-link>
        <router-link to="/halaman3">Halaman 3</router-link>        
        <hr>
    
        <router-view></router-view>
    </div>

    <script src="https://unpkg.com/vue/dist/vue.js"></script>
    <script src="https://unpkg.com/vue-router/dist/vue-router.js"></script>
 
    <script>

        const Component1 = { template: '<div>Selamat datang, Anda sedang di Halaman 1</div>' }
        const Component2 = { template: '<div>Ini adalah Halaman 2</div>' }
        const Component3 = { template: '<div>Yes sudah di halaman 3</div>' }

        const routes = [
        { path: '/', component: Component1, alias: '/halaman1' },
        { path: '/halaman2', component: Component2, meta: { login :true } },
        { path: '/halaman3', component: Component3, meta: { role :'admin'} },
        { path: '*', redirect: '/' }

    ]
        const router = new VueRouter({
            routes 
        })

        router.beforeEach((to, from, next) => {
            if (to.matched.some(record => record.meta.login)) {
	             let login = false;
                if(!login){   
                    alert('Halaman 2 hanya boleh diakses user yang sudah login saja!')
                    next(false)
                }else{
                    next()
                    alert('Berhasil Masuk')
                }
            }
            else{
                    next()
                }
        }),

        router.beforeEach((to, from, next) => {
            if (to.matched.some(record => record.meta.role)) {
	             let role = null;
                if(!role){   
                    alert('Halaman 3 hanya boleh diakses Admin!')
                    next(false)
                }else{
                    next()
                    alert('Berhasil Masuk')
                }
            }
            else{
                    next()
                }
        })
    
        var vm = new Vue({ 
        el: '#app', 
        router, 
        })
    </script>
</body>
</html>